unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
     Buttons, ExtCtrls, SysUtils;

type
  TAboutBox = class(TForm)
    WinPadInfo: TPanel;
    OKButton: TBitBtn;
    ProgramIcon: TImage;
    Pad: TLabel;
    Author: TLabel;
    Win: TLabel;
    Version: TLabel;
    PollResources: TTimer;
    Resources: TPanel;
    SysResources: TLabel;
    FreeMemory: TLabel;
    RegisterPanel: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    procedure PollResourcesTimer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.PollResourcesTimer(Sender: TObject);
{ Display free memory & system resource levels once a second }
begin
     SysResources.Caption := 'System Resources : ' +
                Format('%.2d%%',[GetFreeSystemResources(GFSR_SystemResources)]);
     FreeMemory.Caption   := 'Free Memory          : ' +
                                      Format('%d K',[GetFreeSpace(0) div 1024]);
end;

end.
